gnutls_x509_crt_import_pkcs11_url(3)

NAME
gnutls_x509_crt_import_pkcs11_url - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_x509_crt_import_pkcs11_url(gnutls_x509_crt_t crt, const char * url, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t crt
    A certificate of type gnutls_x509_crt_t

const char * url
    A PKCS 11 url

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will import a PKCS 11 certificate directly from a token without involving the gnutls_pkcs11_obj_t structure. This function will fail if the certificate stored is not of X.509 type.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/